GETWD(3)

NAME
getwd - get current working directory pathname

SYNOPSIS
char *getwd(pathname)
char *pathname;

DESCRIPTION
Getwd copies the absolute pathname of the current working directory to pathname and returns a pointer to the result.

LIMITATIONS
Maximum pathname length is MAXPATHLEN characters (1024), as defined in <sys/param.h>.

DIAGNOSTICS
Getwd returns zero and places a message in pathname if an error occurs.